<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="h-full w-full flex flex-col">
  <app-header></app-header>
  <div class="w-full grow px-3 pt-3">
    <div class="w-full h-full section-p-0 relative">
      <div class="p-1">
        <p-tabMenu [model]="items"> </p-tabMenu>
        <div class="p-3 w-full h-[calc(100dvh-200px)] flex flex-col">
          <div class="w-full grow overflow-y-auto">
            <ng-container *ngLet="initializing$ | async as initializing">
              <app-table-skeleton *ngIf="initializing"> </app-table-skeleton>
              <ng-container *ngIf="!initializing">
                <router-outlet></router-outlet>
              </ng-container>
            </ng-container>
          </div>
          <div class="pt-5 border-t border-borderGrey w-full flex items-center gap-10 justify-between px-4">
            <div class="w-96 text-text-300 text-sm flex items-center gap-6 shrink-0 grow">
              <ng-container *ngLet="(services$ | async) ?? [] as services">
                <ng-container *ngLet="(datasets$ | async) ?? [] as datasets">
                  <div class="flex items-center gap-2">
                    <i class="fa fa-cloud"></i>
                    <div>{{ services.length }} Services</div>
                  </div>
                  <div class="flex items-center gap-2">
                    <i class="fa fa-file-lines"></i>
                    <div>{{ datasets.length }} Datasets</div>
                  </div>
                </ng-container>
              </ng-container>
            </div>
            <app-info
              class="shrink-0"
              message="Please be patient if you do not see changes, the marketplace updates happen every 15 minutes"
            ></app-info>
            <div class="w-96 text-text-300 text-sm grow flex justify-end shrink-0">
              <ng-container *ngLet="lastUpdated$ | async as lastUpdated">
                <div *ngIf="lastUpdated">last updated: {{ lastUpdated | date : 'medium' }}</div>
              </ng-container>
            </div>
          </div>
        </div>
      </div>

      <div class="absolute top-2.5 right-0 flex items-center">
        <p-button
          label="How to publish to Marketplace"
          icon="fa-regular fa-circle-question"
          [link]="true"
          size="small"
          (onClick)="howToUse = true"
        ></p-button>
        <p-button label="Refresh" icon="pi pi-sync" [link]="true" size="small" (onClick)="refresh()"></p-button>
      </div>
    </div>
  </div>
  <app-eu-contrib></app-eu-contrib>
</div>
<p-dialog header="How to publish to Marketplace?" [modal]="true" [(visible)]="howToUse" [draggable]="false">
  <div class="text-text-500 flex flex-col items-start">
    <div class="w-96 text-text-300">To publish your service or dataset to the Marketplace:</div>
    <div class="flex flex-col gap-1 mt-8 pb-10">
      <div class="flex items-center">
        <span class="pr-3 text-text-300">1.</span>Add your service or dataset to your Data Broker
      </div>
      <div class="flex items-center mt-6">
        <span class="pr-3 text-text-300">2.</span>Set the visibility of your service or dataset to
        <span class="text-text-500 bg-whitesmoke rounded-sm py-2 px-3 border border-borderGrey mx-2"
          ><i class="fa-regular fa-handshake"></i> Partners</span
        >
        or
        <span class="text-text-500 bg-whitesmoke rounded-sm py-2 px-3 border border-borderGrey mx-2"
          ><i class="fa fa-globe"></i> Public</span
        >
      </div>
      <div class="flex items-center mt-6">
        <span class="pr-3 text-text-300">3.</span>Create partnership with bAvenir organisation
      </div>
      <div class="flex items-center mt-8">
        <span class="pr-3 text-text-300">4.</span>Wait for next scheduled update to see your item
      </div>
    </div>
    <app-info message="All your public and partner services and datasets are visible in Marketplace"></app-info>
  </div>
</p-dialog>
